System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.All)

When code is generated for a component, members that are marked with the set to true have their property values saved in resource files. You can localize these resource files without modifying the code.

By default, members that have no localizable attribute or are marked with the set to false will have their property values persisted to code, if the data type allows. Otherwise, if the main component is set to Localizable, all properties will be persisted to the resource file. The default is false.

When you mark a property with the set to true, the value of this attribute is set to the constant member . For a property marked with the set to false, the value is . Therefore, when you want to check the value of this attribute in your code, you must specify the attribute as or .

For more information, see Extending Metadata Using Attributes.

Specifies whether a property should be localized. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added: an object of type 'bool'
  To be added

  Initializes a new instance of the class.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.LocalizableAttribute

  When you mark a property with this value, this attribute is set to the constant member . Therefore, when you want to check whether the attribute is set to this value in your code, you must specify the attribute as .

  Specifies the default value, which is . This static field is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Returns whether the value of the given object is equal to the current .

  true if the value of the given object is equal to that of the current; otherwise, false.

  The object to test the value equality of.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Returns the hash code for this instance.

  A hash code for the current .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Determines if this attribute is the default.

  true if the attribute is the default value for this attribute class; otherwise, false.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether a property should be localized.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.LocalizableAttribute

  This field is the default setting for this attribute.

  When you mark a property with the set to false, the value of this attribute is set to the constant member . Therefore, when you want to check whether the attribute is set to this value in your code, you must specify the attribute as .

  Specifies that a property should not be localized. This static field is read-only.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.LocalizableAttribute

  When you mark a property with the set to true, the value of this attribute is set to the constant member . Therefore, when you want to check whether the attribute is set to this value in your code, you must specify the attribute as .

  Specifies that a property should be localized. This static field is read-only.